/*
 * dsp.h
 *
 *  Created on: 29 mar 2023
 *      Author: Tomek
 */

#ifndef DSP_H_
#define DSP_H_


#include "stdint.h"
#include "string.h"

#define FP			(float)48000
#define STALA_PI	(float)3.141592

union SParFuzz
{
	struct
	{
		float Z;
		float Wzm;
		float Odc;
		float Bas;

		float A20;
		float A50;
		float A100;
		float A200;
		float A500;
		float A1K;
		float A2K;
		float A5K;
		float A10K;

		bool Komp;
	};
	float TA[4+9];
};

extern SParFuzz ParFuzz;

void PrzetwarzanieGlowne();

#endif /* DSP_H_ */
;
