/*
 * LCD.h
 *
 *  Created on: 20 sie 2021
 *      Author: Tomek
 */

#ifndef INC_LCD_H_
#define INC_LCD_H_

//#include "main.h"
#include "lcd.h"
#include "stdlib.h"

#define FONT_WYS	8
#define FONT_SZ		7


class Grafika
{
public:
	Grafika() {};

	virtual void AktualizujEkran();
	virtual void Wyczysc();
	virtual void RysujLinie(int,int,int,int);
	virtual void RysujProstokat(int,int,int,int);
	virtual void RysujPunkt(int,int);
	virtual void RysujOkrag(int,int,int);
	virtual void RysujKolo(int,int,int);
	virtual void RysujTekst(int,int,const char *, bool = false, bool = false);

	int RozmiarX = I_KOLUMN;
	int RozmiarY = I_LINII;
protected:
	static uint8_t TablicaZnakow[][8];

};



#endif /* INC_LCD_H_ */
