/*
 * lcd.h
 *
 *  Created on: 9 cze 2023
 *      Author: Tomek
 */

#ifndef LCD_H_
#define LCD_H_
#include "stdint.h"

typedef uint8_t BYTE;


class LCDImp{
public:
#define I_LINII		64
#define I_KOLUMN	128

	enum T_Komendy
	{
		DISPLAY_OFF = 0b00111110,
		DISPLAY_ON =  0b00111111,
		SET_Z =       0b11000000,
		SET_Y =       0b01000000,
		SET_X =       0b10111000,

	};

	static void Inicjuj();
	static void Potwierdz();
	static BYTE Ekran[I_KOLUMN][I_LINII/8];

protected:
	static void Wyslij1(BYTE x);
	static void Wyslij2(BYTE x);
	static void WyslijKom1(BYTE x);
	static void WyslijKom2(BYTE x);
};





#endif /* LCD_H_ */
